pub mod os;
use os::OsFact;

#[derive(Clone, Debug, Serialize)]
pub struct Facts {
    pub os: OsFact,
}

impl Facts {
    pub fn new() -> Facts {
        Facts {
            os: OsFact::new(),
        }
    }

    pub fn os(&self) -> &OsFact {
        &self.os
    }
}
